import 'package:flutter/material.dart';

///Use for add AppBar actions for page.
///
/// ```dart
///class Page extends StatelessWidget with BackdropPageActionsMixin {
///  const Page();
///
///  @override
///  List<Widget> get actions => [IconButton(icon: const Icon(Icons.exit_to_app), onPressed: () {})];
///
///  @override
///  Widget build(BuildContext context) {
///    return Center(
///      child: Text('Page with action'),
///    );
///  }
///}
/// ```
mixin BackdropPageActionsMixin {
  List<Widget> get actions;
}
